Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

I am trying to do an upgrade from 4.0.81.0 to 4.1.83.0 but release notes say to upgrade to 4.0.87.0 first, since users, etc. wont migrate. My question is: when I go through the install, it tells me I have WCS already installed. I say of and continue, it then says it's using port 80 and I should change this to go forward. Well, I am just trying to upgrade and not install another WCS on the server. Is there a process I am missing?

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Cool. Glad to be of help

11 REPLIES

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Stop the WCS service before you upgrade.

Are you doing on windows or Linux?

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

I am upgrading a Windows 2003 Server.

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Ok, I stopped the WCS Service, which also stopped Apache and the DB. Did the upgrade, now the WCS will not start. DB and Apache is running. I get "the NMS_Server service could not be started. A system error has occured. system error 1067 has occurred.

Any ideas what to do next?

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Have you rebooted the server?

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Yup, rebooted twice. Stopped and tried to restart the WCS. Same error.

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Ok, I have figured a good upgrade process that everyone can use.

Stop WCS Service via Programs

Backup your WCS4.0 folder.

Backup DB via Programs

Run upgrade - Don't worry about the message that you have another WCS on the same server

Reboot

Run restore and point to where you backed up the DB.

Restart WCS

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Thanks Eric for your suggestions.

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Cool. Glad to be of help

New Member

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

Huge success! I got brave and went another version upgrade. I am now on the latest 4.1.83.0 and its working like a charm. Thanks again! Oh, I did have a conflict with the 4.0 version still running. How do I uninstall just the 4.0 version or change the service to not autostart at bootup?

Re: Upgrading WCS 4.0.81.0 to 4.0.87.0 ?????

I believe under control panel| administrative tools | services, set it to disable.

I would leave it for now, there may be some shared dlls, etc..

I run WCS on linux and it is all contained under /opt/WCS4.xxxx

Plus the upgrade on linux is as follows:

backup, remove , install , restore. So, in essence, it is not really an upgrade, but installing a newer version and then importing the data

240
Views
0
Helpful
11
Replies